﻿Imports System.ComponentModel

Namespace DataGridVerticalGridlines

    ' AnnotationPoint is simply an X,Y coordinate that implements INotifyPropertyChanged
Public Class AnnotationPoint
    Implements INotifyPropertyChanged

    Public Event PropertyChanged(sender As Object, e As PropertyChangedEventArgs) Implements INotifyPropertyChanged.PropertyChanged

    Private _x As Double

    Public Property X As Double
        Get
            Return _x
        End Get
        Set(value As Double)
            _x = value
            OnPropertyChanged("X")
        End Set
    End Property


    Private _y As Double

    Public Property Y As Double
        Get
            Return _y
        End Get
        Set(value As Double)
            _y = value
            OnPropertyChanged("Y")
        End Set
    End Property

    Private _label As String

    Public Property Label As String
        Get
            Return _label
        End Get
        Set(value As String)
            _label = value
            OnPropertyChanged("Label")
        End Set
    End Property

    Protected Sub OnPropertyChanged(propertyName As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
    End Sub

End Class
End Namespace
